Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
VLC Segmentation faults after start
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
Chocrates
n00b
n00b


Joined: 28 Apr 2007
Posts: 27

PostPosted: Tue Aug 07, 2012 3:01 am    Post subject: VLC Segmentation faults after start Reply with quote

Hi all
Just got a gentoo desktop built for the first time, so this may be something simple.

I emerge'd vlc and am getting a segmentation fault.

I am running gnome.

Code:
USE="gtk gnome qt4 -kde dvd alsa cdr X dbus python sqlite nsplugin minizip"


and /etc/portage/package.use has:

Code:
USE="media-video/vlc dvd ffmpeg mpeg mad wxwindows aac dts a52 ogg flac theora oggvorbis matroska freetype bidi xv svga gnutls stream vlm httpd cdda vcd cdio live
"


A backtrace of what happenes:

Code:
(gdb) run
Starting program: /usr/bin/vlc
[Thread debugging using libthread_db enabled]
VLC media player 2.0.1 Twoflower (revision 2.0.1-0-gf432547)
[New Thread 0xb79d0b70 (LWP 9055)]
[0x804c9e8] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[New Thread 0xb705fb70 (LWP 9056)]
[0x80d24a8] qt4 interface error: Unable to load extensions module

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb705fb70 (LWP 9056)]
0xb789721a in ?? () from /usr/lib/vlc/plugins/gui/libqt4_plugin.so
(gdb) backtrace
#0  0xb789721a in ?? () from /usr/lib/vlc/plugins/gui/libqt4_plugin.so
#1  0xb61d4b77 in ?? () from /usr/lib/qt4/libQtGui.so.4
#2  0xb7134a7c in _SmcProcessMessage () from /usr/lib/libSM.so.6
#3  0xb7128e46 in IceProcessMessages () from /usr/lib/libICE.so.6
#4  0xb61c0c58 in ?? () from /usr/lib/qt4/libQtGui.so.4
#5  0xb748c7d2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/qt4/libQtCore.so.4
#6  0xb74de663 in QSocketNotifier::activated(int) () from /usr/lib/qt4/libQtCore.so.4
#7  0xb7494827 in QSocketNotifier::event(QEvent*) () from /usr/lib/qt4/libQtCore.so.4
#8  0xb6149c84 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/qt4/libQtGui.so.4
#9  0xb614e8ae in QApplication::notify(QObject*, QEvent*) () from /usr/lib/qt4/libQtGui.so.4
#10 0xb7475c3b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/qt4/libQtCore.so.4
#11 0xb74a7087 in ?? () from /usr/lib/qt4/libQtCore.so.4
#12 0xb7234192 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#13 0xb7234958 in ?? () from /usr/lib/libglib-2.0.so.0
#14 0xb7234b74 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#15 0xb74a775c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/qt4/libQtCore.so.4
#16 0xb61fbb95 in ?? () from /usr/lib/qt4/libQtGui.so.4
#17 0xb7474759 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/qt4/libQtCore.so.4
#18 0xb7474a6a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/qt4/libQtCore.so.4
#19 0xb7479a2f in QCoreApplication::exec() () from /usr/lib/qt4/libQtCore.so.4
#20 0xb6147ac7 in QApplication::exec() () from /usr/lib/qt4/libQtGui.so.4
#21 0xb77340fa in ?? () from /usr/lib/vlc/plugins/gui/libqt4_plugin.so
#22 0xb7ed4eb2 in start_thread () from /lib/libpthread.so.0
#23 0xb7e3bcce in clone () from /lib/libc.so.6


Any clues as to what's going on?
Back to top
View user's profile Send private message
BillWho
Veteran
Veteran


Joined: 03 Mar 2012
Posts: 1600
Location: US

PostPosted: Tue Aug 07, 2012 3:57 am    Post subject: Reply with quote

Chocrates,

Try revdep-rebuild. It might be a broken link to libQtCore.so.4 .
_________________
Good luck :wink:

Since installing gentoo, my life has become one long emerge :)
Back to top
View user's profile Send private message
Chocrates
n00b
n00b


Joined: 28 Apr 2007
Posts: 27

PostPosted: Tue Aug 07, 2012 11:10 pm    Post subject: Reply with quote

Alas, no dice.

Code:
luffyshards ~ # revdep-rebuild
 * Configuring search environment for revdep-rebuild

 * Checking reverse dependencies
 * Packages containing binaries and libraries broken by a package update
 * will be emerged.

 * Collecting system binaries and libraries
 * Generated new 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Generated new 2_ldpath.rr
 * Checking dynamic linking consistency
[ 100% ]                 

 * Dynamic linking on your system is consistent... All done.


And same exception with vlc.

only thing i can think of so far is that my use variable used to have -kde and -qt4 in it, until i learned that vlc needs qt4 for the gui
Back to top
View user's profile Send private message
nihil39
Tux's lil' helper
Tux's lil' helper


Joined: 15 Nov 2005
Posts: 86
Location: Italy

PostPosted: Wed Aug 08, 2012 12:37 am    Post subject: Reply with quote

Please read also my post, vlc is crashing for unknown reasons. I run revdep-rebuild with no effect.
http://forums.gentoo.org/viewtopic-p-7106772.html#7106772
Back to top
View user's profile Send private message
Chocrates
n00b
n00b


Joined: 28 Apr 2007
Posts: 27

PostPosted: Thu Aug 09, 2012 12:40 am    Post subject: Reply with quote

The newest stable source is still doing the segfault, so if there was any doubt that it was environmental, then thats gone.

I guess next i'll take this as an opportunity to relearn gdb and see what i can find out.
Back to top
View user's profile Send private message
toralf
Advocate
Advocate


Joined: 01 Feb 2004
Posts: 2727
Location: Hamburg/Germany

PostPosted: Thu Aug 09, 2012 9:24 am    Post subject: Reply with quote

For a more complete backtrace you should compile the appropriate QT packages with debug info too. And then you can open a bug report at VLC's site.
Back to top
View user's profile Send private message
Chocrates
n00b
n00b


Joined: 28 Apr 2007
Posts: 27

PostPosted: Sat Aug 11, 2012 3:44 pm    Post subject: Reply with quote

Does anyone know where i can find the documentation on rebuilding packages once you update the cflags?
Qt4 needs to get axe'd and rebuilt with the debugging flags, but I am not finding the documentation explaining it.
And i can't get the package names right to --unmerge them.
Back to top
View user's profile Send private message
gerard82
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2229
Location: Netherlands

PostPosted: Sat Aug 11, 2012 4:32 pm    Post subject: Reply with quote

Quote:

and /etc/portage/package.use has:

Code:
USE="media-video/vlc dvd ffmpeg mpeg mad wxwindows aac dts a52 ogg flac theora oggvorbis matroska freetype bidi xv svga gnutls stream vlm httpd cdda vcd cdio live
"

That is not the right way to do it in /etc/portage/package.use.
It should read
Code:

media-video/vlc dvd ffmpeg mpeg mad wxwindows aac dts a52 ogg flac theora oggvorbis matroska freetype bidi xv svga gnutls stream vlm httpd cdda vcd cdio live

Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
Chocrates
n00b
n00b


Joined: 28 Apr 2007
Posts: 27

PostPosted: Sat Aug 11, 2012 5:38 pm    Post subject: Reply with quote

gerard82 wrote:
Quote:

and /etc/portage/package.use has:

Code:
USE="media-video/vlc dvd ffmpeg mpeg mad wxwindows aac dts a52 ogg flac theora oggvorbis matroska freetype bidi xv svga gnutls stream vlm httpd cdda vcd cdio live
"

That is not the right way to do it in /etc/portage/package.use.
It should read
Code:

media-video/vlc dvd ffmpeg mpeg mad wxwindows aac dts a52 ogg flac theora oggvorbis matroska freetype bidi xv svga gnutls stream vlm httpd cdda vcd cdio live

Gerard.


Code:
~ # cat /etc/portage/package.use
x11-base/xorg-server udev
gnome-base/gnome-session branding
media-video/vlc dvd ffmpeg mpeg mad wxwindows aac dts a52 ogg flac theora oggvorbis matroska freetype bidi xv svga gnutls stream vlm httpd cdda vcd cdio live


Not sure how I got the first one, but my current build uses that.
Back to top
View user's profile Send private message
gerard82
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2229
Location: Netherlands

PostPosted: Sat Aug 11, 2012 5:48 pm    Post subject: Reply with quote

Good.
Now you may try
Code:

emerge -uDNpv world

Check what will be installed and what useflags will be used for what.
The N will take care of changed use and dependencies.
Good luck.
Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
mir3x
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jun 2012
Posts: 139

PostPosted: Mon Aug 13, 2012 10:09 am    Post subject: Reply with quote

reemerge libSM libICE and qt-core
if it doesn't help add ipv6 flag, if is disabled
_________________
Installation aborted to prevent system self-destruction
Back to top
View user's profile Send private message
Chocrates
n00b
n00b


Joined: 28 Apr 2007
Posts: 27

PostPosted: Wed Aug 15, 2012 2:53 am    Post subject: Reply with quote

Good news! It now randomly works.
Bad news is that i don't know how it happened.
I just finished manually compiling qt4 and installing it, then did a revdep-rebuild, and it suddenly works.
Now on to figuring out why my graphics are so slow that its unusable :)

Thanks for the help!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum